<!-- 任务分发详情 -->
<script lang="ts" setup name="TaskDetail">
import templateDetail from '../sendReceive/components/templateDetail.vue'

const radioMenus = [ // 标签内容
  { name: '检定信息', value: 'send-receive-measure' },
  { name: '任务单信息', value: 'send-receive-order' },
  { name: '基本信息', value: 'send-receive-basic' },
  { name: '证书报告', value: 'send-receive-certificate' },
]
const orderId = ref('') // 任务单id
const equipmentId = ref('') // 设备id
const $route = useRoute()

onMounted(() => {
  orderId.value = $route.query.orderId as string// 任务单id
  equipmentId.value = $route.query.equipmentId as string// 设备id

  console.log('任务单id：', orderId.value)
  console.log('设备id:', equipmentId.value)
})
</script>

<template>
  <!-- <div>任务分发详情</div> -->
  <template-detail title="任务分发管理" :radio-menus="radioMenus" :order-id="orderId" :equipment-id="equipmentId" />
</template>

